import React from 'react'
import ReactPDF, { Image } from '@react-pdf/renderer'
import png from './heart_failure.png'
import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon'
import ImageProps = ReactPDF.ImageProps

const HeartFailureIcon: React.FC<SvgIconProps> = (props) => {
  return (
    <SvgIcon viewBox={'0 0 217.061 217.061'} {...props}>
      <circle cx="39" cy="48" r="2" />
      <path d="M182.198,205.491c-6.62,7.785-17.241,11.569-32.467,11.569c-0.002,0-0.005,0-0.008,0c-6.335-0.001-13.6-0.681-21.592-2.021c-66.912-11.219-70.308-34.4-70.308-71.295c0-27.397,17.425-37.19,28.179-40.625c-6.74-6.68-16.894-19.259-19.569-36.382c-3.199-20.477,8.116-32.872,13.94-37.769l-5.496-8.878c-0.938-1.516-0.761-3.469,0.436-4.79l7.752-8.562c0.87-0.962,2.155-1.441,3.44-1.287c1.288,0.154,2.421,0.923,3.04,2.063l6.927,12.752L99.3,19.63L97.803,6.452c-0.128-1.132,0.232-2.266,0.991-3.116S100.638,2,101.777,2h11.605c2.187,0,3.968,1.756,4,3.943l0.132,9.239l3.766-0.128l1.706-11.634c0.311-2.116,2.239-3.613,4.358-3.399l9.938,1c2.168,0.218,3.763,2.132,3.586,4.305l-1.298,15.946l8.303,10.167c0.696,0.853,1.01,1.955,0.868,3.046c-0.142,1.091-0.728,2.076-1.619,2.723c-0.179,0.13-17.976,13.117-23.929,24.322c-3.547,6.678-3.332,13.618-1.286,17.021c0.542,0.902,1.181,1.463,1.665,1.463l0.125-0.01c0.736-0.458,1.81-3.803,2.521-6.017c1.522-4.744,3.418-10.647,7.926-16.11c7.304-8.849,19.067-15.523,27.363-15.523c2.592,0,4.786,0.629,6.521,1.868c6.455,4.61,7.282,19.607,7.381,24.094c0.042,1.889-1.244,3.55-3.083,3.982l-12.937,3.044c-1.98,0.466-5.396,1.528-6.012,3.4c-0.384,1.167-0.434,4.876,7.385,14.091c10.742,12.661,20.844,26.847,26.392,60.924C189.802,170.018,193.427,192.288,182.198,205.491z M69.428,97.372c-0.119-0.208-11.955-20.898-13.186-33.036c-1.112-10.959,3.209-16.138,3.356-16.312c0.83-0.913,1.192-2.157,0.981-3.373s-0.97-2.266-2.059-2.847c-0.479-0.256-4.831-2.5-9.803-2.5c-3.324,0-6.288,1.035-8.571,2.992c-5.669,4.859-4.685,23.784-3.35,36.148c-3.29,3.288-7.141,11.399-9.249,30.762c-3.204,29.435,14.911,49.486,15.684,50.325c0.775,0.841,1.849,1.291,2.943,1.291c0.014,0,0.028,0,0.042,0c2.198-0.013,3.977-1.799,3.977-4c0-0.271-0.027-0.535-0.078-0.79c-0.229-2.515-1.404-17.81,2.393-31.84c3.869-14.3,15.376-21.317,15.48-21.379C69.879,101.702,70.522,99.274,69.428,97.372z" />
    </SvgIcon>
  )
}

export const HeartFailureIconPdf: React.FC<Partial<ImageProps>> = (props) => {
  return <Image src={png} {...props} />
}

export default HeartFailureIcon
